Bug 1286623 - Console: completed process instance log shows null values for Oracle databases
Console: completed process instance log shows null values for Oracle databases
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
high Severity medium
: DR2
: 6.3.0
Assigned To: Neus Miras
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 06:12 EST by Pavel Kralik
Modified: 2018-03-31 18:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
null values screenshot for the finished BigApp PI (160.56 KB, image/png)
2015-11-30 06:12 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-11-30 06:12:29 EST
Created attachment 1100474 [details]
null values screenshot for the finished BigApp PI

Description of problem:
Process Instances detail technical log shows null values

Version-Release number of selected component (if applicable):
BPMS 6.2.0.CR1 EAP/WLS/WAS with Oracle12c/11gR2/11gR2RAC

How reproducible:
Always

Steps to Reproduce:
1. Deploy BC to WAS/EAP/WLS and connect with Oracle* as datasource
2. Run BigApp suite
3. Check completed MortgageDemo process instance details Log

Actual results:
null values

Expected results:
no null values in the Log

Additional info:
Comment 2 Neus Miras 2016-02-19 12:49:37 EST
Oracle returns value null instead empty string like other databases. This commit ensures the empty string in that cases for showing process instance logs.

The PRs:
Master https://github.com/droolsjbpm/jbpm-console-ng/pull/325
6.4.x https://github.com/droolsjbpm/jbpm-console-ng/pull/324

-Waiting the merge to change the status to modify-
Comment 4 Pavel Kralik 2016-03-11 13:09:59 EST
BPMS 6.3.0.DR2

Note You need to log in before you can comment on or make changes to this bug.